Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface TaskSuccessInfo

All Superinterfaces:
  java.io.Serializable

    public interface TaskSuccessInfo

extends java.io.Serializable

The `TaskSuccessInfo`represents detailed information about a completed task.
As of 8.0, a completed task may contain one or more report sheets, and each report sheet may contain one or more publish type (to-version, to-disk, etc.). `TaskSuccessInfo`wraps these information in a Map (got via `getPublishRecords()`), the key is report sheet and the value is a collection of `CompletedPublishRecord` (representing a publish type result), and deprecated methods about checking publish type and format on this interface.````

See Also:
  `CompletedPublishRecord`, `CompletedTaskRecord.getSuccessInfo()`

Method Summary
`java.util.Hashtable` | `getPublishRecords()` Returns the publish records set and each element is a CompletedPublishRecord
`boolean` | `hasToExcelFile()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToExcelVersion()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToFax()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToFile()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToFTP()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToHtmlFile()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToHtmlVersion()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToMail()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToPdfFile()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToPdfVersion()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToPostScriptFile()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToPostScriptVersion()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToPrinter()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToRsdFile()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToRsdVersion()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToRstFile()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToRstVersion()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToRtfFile()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToRtfVersion()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToSvgFile()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToSvgVersion()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToTextFile()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToTextVersion()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToTiffFile()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToTiffVersion()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToVersion()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToXmlFile()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `hasToXmlVersion()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isBurstingTask()` Checks if the associated completed task is a bursting task or not.
`boolean` | `isToExcelFileSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToExcelVersionSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToFaxSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToFTPSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToHtmlFileSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToHtmlVersionSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToMailSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToPdfFileSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToPdfVersionSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToPostScriptFileSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToPostScriptVersionSuccessfule()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToPrinterSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToRsdFileSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToRsdVersionSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToRstFileSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToRstVersionSuccessful()` Deprecated. use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToRtfFileSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToRtfVersionSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToSvgFileSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToSvgVersionSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToTextFileSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToTextVersionSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToTiffFileSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToTiffVersionSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToXmlFileSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information
`boolean` | `isToXmlVersionSuccessful()` Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

Method Detail

### hasToPrinter

    boolean hasToPrinter()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if "Publish to printer" format is included in this task.

  Returns:
    true if included, otherwise false.

### isToPrinterSuccessful

    boolean isToPrinterSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if publishing to printer successfully.

  Returns:
    true if finished successfully, otherwise false.

### hasToMail

    boolean hasToMail()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if "Send to mail" format is included in this task.

  Returns:
    true if included, otherwise false.

### isToMailSuccessful

    boolean isToMailSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if sending to mail successfully.

  Returns:
    true if finished successfully, otherwise false.

### hasToFTP

    boolean hasToFTP()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if "Publish to FTP" format is included in this task.

  Returns:
    true if included, otherwise false.

### isToFTPSuccessful

    boolean isToFTPSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if publishing to FTP successfully.

  Returns:
    true if finished successfully, otherwise false.

### hasToFax

    boolean hasToFax()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if "Send to fax" format is included in this task.

  Returns:
    true if included, otherwise false.

### isToFaxSuccessful

    boolean isToFaxSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if sending to fax successfully.

  Returns:
    true if finished successfully, otherwise false.

### hasToVersion

    boolean hasToVersion()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if any format exporting of publishing to version system is included in this task.

  Returns:
    true if included, otherwise false.

### hasToRstVersion

    boolean hasToRstVersion()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to .rst file is selected when publishing to version system.

  Returns:
    true if selected, otherwise false.

### isToRstVersionSuccessful

    boolean isToRstVersionSuccessful()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to .rst file successfully when publishing to version system.

  Returns:
    true if exported successfully, otherwise false.

### hasToHtmlVersion

    boolean hasToHtmlVersion()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to HTML file is selected when publishing to version system.

  Returns:
    true if selected, otherwise false.

### isToHtmlVersionSuccessful

    boolean isToHtmlVersionSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to HTML file successfully when publishing to version system.

  Returns:
    true if exported successfully, otherwise false.

### hasToPdfVersion

    boolean hasToPdfVersion()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to pdf file is selected when publishing to version system.

  Returns:
    true if selected, otherwise false.

### isToPdfVersionSuccessful

    boolean isToPdfVersionSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to pdf file successfully when publishing to version system.

  Returns:
    true if exported successfully, otherwise false.

### hasToExcelVersion

    boolean hasToExcelVersion()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to excel file is selected when publishing to version system.

  Returns:
    true if selected, otherwise false.

### isToExcelVersionSuccessful

    boolean isToExcelVersionSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to excel file successfully when publishing to version system.

  Returns:
    true if exported successfully, otherwise false.

### hasToXmlVersion

    boolean hasToXmlVersion()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to XML file is selected when publishing to version system.

  Returns:
    true if selected, otherwise false.

### isToXmlVersionSuccessful

    boolean isToXmlVersionSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to XML file successfully when publishing to version system.

  Returns:
    true if exported successfully, otherwise false.

### hasToPostScriptVersion

    boolean hasToPostScriptVersion()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to Post Script file is selected when publishing to version system.

  Returns:
    true if selected, otherwise false.

### isToPostScriptVersionSuccessfule

    boolean isToPostScriptVersionSuccessfule()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to Post Script file successfully when publishing to version system.

  Returns:
    true if exported successfully, otherwise false.

### hasToTextVersion

    boolean hasToTextVersion()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to plain text file is selected when publishing to version system.

  Returns:
    true if selected, otherwise false.

### isToTextVersionSuccessful

    boolean isToTextVersionSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to plain text file successfully when publishing to version system.

  Returns:
    true if exported successfully, otherwise false.

### hasToRtfVersion

    boolean hasToRtfVersion()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to rtf file is selected when publishing to version system.

  Returns:
    true if selected, otherwise false.

### isToRtfVersionSuccessful

    boolean isToRtfVersionSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to rtf file successfully when publishing to version system.

  Returns:
    true if exported successfully, otherwise false.

### hasToTiffVersion

    boolean hasToTiffVersion()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to tiff file is selected when publishing to version system.

  Returns:
    true if selected, otherwise false.
  Since:
    version 6.1

### isToTiffVersionSuccessful

    boolean isToTiffVersionSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to tiff file successfully when publishing to version system.

  Returns:
    true if exported successfully, otherwise false.
  Since:
    version 6.1

### hasToFile

    boolean hasToFile()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if any format exporting of publishing to file system is included in this task.

  Returns:
    true if included, otherwise false.

### hasToRstFile

    boolean hasToRstFile()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to .rst file is selected when publishing to file system.

  Returns:
    true if selected, otherwise false.

### isToRstFileSuccessful

    boolean isToRstFileSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to .rst file successfully when publishing to file system.

  Returns:
    true if exported successfully, otherwise false.

### hasToHtmlFile

    boolean hasToHtmlFile()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to HTML file is selected when publishing to file system.

  Returns:
    true if selected, otherwise false.

### isToHtmlFileSuccessful

    boolean isToHtmlFileSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to HTML file successfully when publishing to file system.

  Returns:
    true if exported successfully, otherwise false.

### hasToPdfFile

    boolean hasToPdfFile()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to pdf file is selected when publishing to file system.

  Returns:
    true if selected, otherwise false.

### isToPdfFileSuccessful

    boolean isToPdfFileSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to pdf file successfully when publishing to file system.

  Returns:
    true if exported successfully, otherwise false.

### hasToExcelFile

    boolean hasToExcelFile()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to excel file is selected when publishing to file system.

  Returns:
    true if selected, otherwise false.

### isToExcelFileSuccessful

    boolean isToExcelFileSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to excel file successfully when publishing to file system.

  Returns:
    true if exported successfully, otherwise false.

### hasToXmlFile

    boolean hasToXmlFile()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to XML file is selected when publishing to file system.

  Returns:
    true if selected, otherwise false.

### isToXmlFileSuccessful

    boolean isToXmlFileSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to XML file successfully when publishing to file system.

  Returns:
    true if exported successfully, otherwise false.

### hasToPostScriptFile

    boolean hasToPostScriptFile()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to Post Script file is selected when publishing to file system.

  Returns:
    true if selected, otherwise false.

### isToPostScriptFileSuccessful

    boolean isToPostScriptFileSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to Post Script file successfully when publishing to file system.

  Returns:
    true if exported successfully, otherwise false.

### hasToTextFile

    boolean hasToTextFile()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to plain text file is selected when publishing to file system.

  Returns:
    true if selected, otherwise false.

### isToTextFileSuccessful

    boolean isToTextFileSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to plain text file successfully when publishing to file system.

  Returns:
    true if exported successfully, otherwise false.

### hasToRtfFile

    boolean hasToRtfFile()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to rtf file is selected when publishing to file system.

  Returns:
    true if selected, otherwise false.

### isToRtfFileSuccessful

    boolean isToRtfFileSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to rtf file successfully when publishing to file system.

  Returns:
    true if exported successfully, otherwise false.

### hasToTiffFile

    boolean hasToTiffFile()

  Deprecated. use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to tiff file is selected when publishing to file system.

  Returns:
    true if selected, otherwise false.
  Since:
    version 7

### isToTiffFileSuccessful

    boolean isToTiffFileSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to tiff file successfully when publishing to file system.

  Returns:
    true if exported successfully, otherwise false.
  Since:
    version 7

### hasToSvgFile

    boolean hasToSvgFile()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to svg file is selected when publishing to file system.

  Returns:
    true if selected, otherwise false.
  Since:
    version 7

### isToSvgFileSuccessful

    boolean isToSvgFileSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to svg file successfully when publishing to file system.

  Returns:
    true if exported successfully, otherwise false.
  Since:
    version 7

### hasToSvgVersion

    boolean hasToSvgVersion()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to svg file is selected when publishing to version system.

  Returns:
    true if selected, otherwise false.
  Since:
    version 7

### isToSvgVersionSuccessful

    boolean isToSvgVersionSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to svg file successfully when publishing to version system.

  Returns:
    true if exported successfully, otherwise false.
  Since:
    version 7

### hasToRsdVersion

    boolean hasToRsdVersion()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to .rsd file is selected when publishing to version system.

  Returns:
    true if selected, otherwise false.
  Since:
    version 7

### isToRsdVersionSuccessful

    boolean isToRsdVersionSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to .rsd file successfully when publishing to version system.

  Returns:
    true if exported successfully, otherwise false.
  Since:
    version 7

### hasToRsdFile

    boolean hasToRsdFile()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if export to rsd file is selected when publishing to file system.

  Returns:
    true if selected, otherwise false.
  Since:
    version 7 SP2

### isToRsdFileSuccessful

    boolean isToRsdFileSuccessful()

  Deprecated. As of 8.0, use getPublishRecords() to replace this method so as to get more detailed information

  Checks if exporting to rsd file successfully when publishing to file system.

  Returns:
    true if exported successfully, otherwise false.
  Since:
    version 7 SP2

### getPublishRecords

    java.util.Hashtable getPublishRecords()

  Returns the publish records set and each element is a CompletedPublishRecord

  Returns:
    Return a hashtable, the key is sheet and the value is vector. The vector is a list result set of publish records, and each element is a CompletedPublishRecord.
  Since:
    version 8

### isBurstingTask

    boolean isBurstingTask()

  Checks if the associated completed task is a bursting task or not.

  Returns:
    true if the task is a bursting task, otherwise return false.
  See Also:
    `8.2`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD